﻿using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class IngredientViewModel : IIngredientModel
    {
        public int Id { get; set; }

        [DisplayName("Наименование ингредиента")]
        public string IngredientName { get; set; } = string.Empty;

        [DisplayName("Единицы измерения")]
        public string Unit { get; set; } = string.Empty;

        [DisplayName("Стоимость за единицу")]
        public double Cost { get; set; }
    }
}
