﻿using System.ComponentModel.DataAnnotations;

namespace SushiBarDatabaseImplement.Models
{
    public class ChequeItem
    {
        [Key]
        public int Id { get; set; }

        [Required]
        public int ChequeId { get; set; }

        public virtual Cheque Cheque { get; set; } = new();

        [Required]
        public int DishId { get; set; }

        public virtual Dish Dish { get; set; } = new();

        [Required]
        public int CookId { get; set; }

        public virtual Cook Cook { get; set; } = new();

        [Required]
        public int Count { get; set; }
    }
}
