﻿using SushiBarDataModels.Models;

namespace SushiBarContracts.BindingModels
{
    public class DishBindingModel : IDishModel
    {
        public int Id { get; set; }

        public string DishName { get; set; } = string.Empty;

        public string Category { get; set;} = string.Empty;

        public double Price { get; set; }

        public Dictionary<int, (IIngredientModel, int)> DishIngredients { get; set; } = new();
    }
}
