﻿using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class ChequeViewModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }

        public int? CustomerId { get; set; }

        [DisplayName("Покупатель")]
        public string? CustomerFio { get; set; } = string.Empty;

        public Dictionary<int, ChequeItemViewModel> ChequeItems { get; set; } = new();

        [DisplayName("Дата заказа")]
        public DateTime OrderDate { get; set; }

        [DisplayName("Сумма заказа")]
        public double TotalSum { get; set; }

        public int? PromotionId { get; set; }

        [DisplayName("Скидка")]
        public float? Discount { get; set; }
    }
}
