﻿using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class CustomerViewModel
    {
        public int Id { get; set; }

        [DisplayName("Инициалы покупателя")]
        public string Fio { get; set; } = string.Empty;

        [DisplayName("Дата рождения")]
        public DateTime? BirthdayDate { get; set; }

        [DisplayName("Общая сумма всех заказов")]
        public double SumOfAllOrders { get; set; }
    }
}
