﻿using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class DishViewModel : IDishModel
    {
        public int Id { get; set; }

        [DisplayName("Название блюда")]
        public string DishName { get; set; } = string.Empty;

        [DisplayName("Категория")]
        public string Category { get; set; } = string.Empty;

        [DisplayName("Стоимость")]
        public double Price { get; set; }

        public Dictionary<int, (IIngredientModel, int)> DishIngredients { get; set; } = new();
    }
}
